package com.ruoyi.demo.entity.vo;

import com.ruoyi.demo.entity.Plan;
import lombok.Data;

import java.util.List;

@Data
public class PlanManageDetailVo {
    private String goodsLogo;
    private String goodsIntroduce;
    private String goodsClassify;
    private List<PlanManageItemVo> planItems;

    public PlanManageDetailVo(){}
    public PlanManageDetailVo(Plan plan, List<PlanManageItemVo> itemVos){
        this.goodsLogo = plan.getGoodsLogo();
        this.goodsIntroduce = plan.getGoodsIntroduce();
        this.goodsClassify = plan.getGoodsClassify();
        this.planItems = itemVos;
    }
}
